igeo.io

## Class IObjFileImporter.Face

- java.lang.Object
- - igeo.io.IObjFileImporter.Entity
  - - igeo.io.IObjFileImporter.Face

- Enclosing class:
    IObjFileImporter

      public static class IObjFileImporter.Face
      extends IObjFileImporter.Entity

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `IObjFileImporter.Face.Data`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `IObjFileImporter.GeometricVertex` | `geometryVertex`
    `IObjFileImporter.GroupName.Data` | `group`
    `IMesh` | `mesh`
    `boolean` | `newface`
    `IObjFileImporter.TextureVertex` | `textureVertex`
    `IObjFileImporter.VertexNormal` | `vertexNormal`

    - ### Fields inherited from class igeo.io.IObjFileImporter.Entity

      `data, entities, objects, server`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Face()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addToGroup(IObject elem)`
    `boolean` | `creatingMesh()`
    `java.lang.String` | `getLabel()`
    `IObjFileImporter.EntityData` | `parse(java.lang.String[] args)`
    `void` | `resetMesh()`
    `void` | `setGroup(IObjFileImporter.GroupName.Data g)`

    - ### Methods inherited from class igeo.io.IObjFileImporter.Entity

      `add, getData, getLatestData, parse, read, setAllEntities, setObjectContainer, setServer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### geometryVertex

          public IObjFileImporter.GeometricVertex geometryVertex

    - #### textureVertex

          public IObjFileImporter.TextureVertex textureVertex

    - #### vertexNormal

          public IObjFileImporter.VertexNormal vertexNormal

    - #### newface

          public boolean newface

    - #### mesh

          public IMesh mesh

    - #### group

          public IObjFileImporter.GroupName.Data group

  - ### Constructor Detail

    - #### Face

          public Face()

  - ### Method Detail

    - #### setGroup

          public void setGroup(IObjFileImporter.GroupName.Data g)

    - #### addToGroup

          public void addToGroup(IObject elem)

    - #### getLabel

          public java.lang.String getLabel()

      Overrides:
        `getLabel` in class `IObjFileImporter.Entity`

    - #### parse

          public IObjFileImporter.EntityData parse(java.lang.String[] args)

      Overrides:
        `parse` in class `IObjFileImporter.Entity`

    - #### resetMesh

          public void resetMesh()

    - #### creatingMesh

          public boolean creatingMesh()